using Prism.Ioc;
using System.Windows;
using System.Windows.Forms;

namespace ExampleCore
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App
    {
        public App()
        {
            System.Windows.Forms.Application.SetHighDpiMode(HighDpiMode.SystemAware);
            System.Windows.Forms.Application.EnableVisualStyles();
            System.Windows.Forms.Application.SetCompatibleTextRenderingDefault(false);
        }
        protected override void RegisterTypes(IContainerRegistry containerRegistry)
        {
            //nothing
        }

        protected override Window CreateShell() => Container.Resolve<MainWindow>();
    }
}
